
/*-----------------------------------*\
  #style.css
\*-----------------------------------*/

/**
 * copyright 2022 codewithsadee
 */





/*-----------------------------------*\
  #CUSTOM PROPERTY
\*-----------------------------------*/

:root {

  /**
   * colors
   */

  --green-blue-crayola: #ebd384;
  --prussian-blue: hsl(202, 72%, 15%);
  --eerie-black: hsl(210, 11%, 15%);
  --dark-orange: #ebd384;;
  --alice-blue: hsl(203, 100%, 97%);
  --light-gray: hsl(0, 0%, 80%);
  --indigo-dye: hsl(202, 64%, 26%);
  --cultured-1: hsl(0, 0%, 94%);
  --cultured-2: hsl(0, 0%, 95%);
  --cultured-3: hsl(0, 0%, 95%);
  --plutinum: hsl(0, 0%, 91%);
  --black_60: hsla(0, 0%, 0%, 0.6);
  --white: hsl(0, 0%, 100%);
  --black: hsl(0, 0%, 0%);
  --onyx: hsl(0, 0%, 24%);

  /**
   * typography
   */

  --ff-oswald: 'Oswald', sans-serif;
  --ff-rubik: 'Rubik', sans-serif;

  --fs-1: 6rem;
  --fs-2: 5rem;
  --fs-3: 4rem;
  --fs-4: 3rem;
  --fs-5: 2.2rem;
  --fs-6: 2rem;
  --fs-7: 1.8rem;
  --fs-8: 1.5rem;
  --fs-9: 1.4rem;
  --fs-10: 1.2rem;

  --fw-500: 500;
  --fw-600: 600;
  --fw-700: 700;
  --fw-800: 800;

  /**
   * spacing
   */

  --section-padding: 50px;

  /**
   * shadow
   */
   
  --shadow-1: 2px 0 50px hsla(0, 0%, 0%, 0.2);
  --shadow-2: 0px 40px 60px hsla(202, 75%, 47%, 0.7);
  --shadow-3: 0px 0px 60px hsla(202, 75%, 47%, 0.5);

  /**
   * transition
   */

  --transition: 0.25s ease;
  --cubic-in: cubic-bezier(0.51, 0.03, 0.64, 0.28);
  --cubic-out: cubic-bezier(0.33, 0.85, 0.4, 0.96);

}





/*-----------------------------------*\
  #RESET
\*-----------------------------------*/

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

li { list-style: none; }

a {
  text-decoration: none;
  color: inherit;
}

a,
img,
time,
span,
input,
button,
ion-icon { display: block; }

img { height: auto; }

input,
button {
  background: none;
  border: none;
  font: inherit;
}

input { width: 100%; }

button { cursor: pointer; }

ion-icon { pointer-events: none; }

html {
  font-family: var(--ff-rubik);
  font-size: 10px;
  scroll-behavior: smooth;
}

body {
  background-color: var(--white);
  color: var(--onyx);
  font-size: 1.6rem;
  line-height: 1.7;
}

:focus-visible { outline-offset: 4px; }

::-webkit-scrollbar { width: 12px; }

::-webkit-scrollbar-track { background-color: var(--cultured-2); }

::-webkit-scrollbar-thumb {
  background-color: hsl(0, 0%, 80%);
  border: 2px solid var(--cultured-2);
}

::-webkit-scrollbar-thumb:hover { background-color: hsl(0, 0%, 70%); }





/*-----------------------------------*\
  #REUSED STYLE
\*-----------------------------------*/

.container { padding-inline: 15px; }

.section { padding-block: var(--section-padding); }
.sectionBanner { padding-block: 0px; }
.h1,
.h2,
.h3 {
  font-family: var(--ff-oswald);
  line-height: 1.2;
  font-weight: var(--fw-600);
}

.h1 {
  font-size: var(--fs-3);
  text-transform: uppercase;
}

.h2,
.h3 { color: var(--prussian-blue); }

.h2 { font-size: var(--fs-4); }

.h3 { font-size: var(--fs-5); }

.img-holder {
  background-color: var(--light-gray);
  aspect-ratio: var(--width) / var(--height);
}

.img-cover {
  width: 100%;
  height: 100%;
  object-fit: cover;
}


.section-subtitle, .contactus-head {
  color: var(--green-blue-crayola);
  text-transform: uppercase;
  font-size: var(--fs-6);
  font-family: var(--ff-oswald);
  font-weight: var(--fw-600);
  letter-spacing: 3px;
  margin-block-end: 10px; 
}

.contact .section-subtitle{
  text-align: center;
}
.section-text { line-height: 1.4; }

.btn {
  position: relative;
  color: var(--black);
  background-color: var(--dark-orange);
  max-width: max-content;
  font-size: var(--fs-9);
  letter-spacing: 1px;
  padding-block: 10px;
  padding-inline: 15px 50px;
}


.grid-list {
  display: grid;
  gap: 30px;
}

.btn-link {
  color: var(--black);
  font-size: var(--fs-7);
  text-transform: uppercase;
  display: flex;
  align-items: center;
  gap: 5px;
  overflow: hidden;
  text-shadow: #ebd384 1px;
}

.btn-link > * {
  transform: translateX(-22px);
  transition: var(--transition);
}

.btn-link:is(:hover, :focus) > * { transform: translateX(0); }

.w-100 { width: 100%; }





/*-----------------------------------*\
  #HEADER
\*-----------------------------------*/

.header-contact { display: none; }

.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding-block: 15px;
  z-index: 4;
  transition: var(--transition);
  background-color: var(--green-blue-crayola);
}

.header.active { background-color: var(--green-blue-crayola); opacity: 0.8;}

.header .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 30px;
}

.logo {
  font-family: var(--ff-oswald);
  color: var(--white);
  font-size: 3rem;
}

.nav-open-btn {
  color: var(--white);
  font-size: 35px;
}

.nav-open-btn ion-icon { --ionicon-stroke-width: 40px; }

.navbar {
  position: fixed;
  top: 0;
  left: -300px;
  max-width: 300px;
  width: 100%;
  height: 100%;
  background-color: var(--white);
  box-shadow: var(--shadow-1);
  z-index: 3;
  visibility: hidden;
  transition: 0.25s var(--cubic-in);
}

.navbar.active {
  visibility: visible;
  transform: translateX(300px);
  transition: 0.5s var(--cubic-out);
}

.navbar-top {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-block-end: 1px solid var(--plutinum);
  padding: 30px 20px;
}

.navbar-top .logo {
  color: var(--onyx);
  font-size: 3rem;
}

.nav-close-btn { font-size: 25px; }

.nav-close-btn ion-icon { --ionicon-stroke-width: 40px; }

.navbar-item:not(:last-child) { border-block-end: 1px solid var(--plutinum); }

.navbar-link {
  color: var(--black);
  font-weight: bold;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px;
  transition: var(--transition);
}

.navbar-link.active{
  color: var(--white);
  background-color: black;
  border-radius: 10px;
}

.navbar-link:is(:hover, :focus) {
  background-color: var(--cultured-1);
  color: var(--white);
}

.overlay {
  position: fixed;
  inset: 0;
  background-color: var(--black_60);
  z-index: 2;
  visibility: hidden;
  opacity: 0;
  transition: var(--transition);
}

.overlay.active {
  visibility: visible;
  opacity: 1;
}

ion-icon {
  color: black;
}



/*-----------------------------------*\
  #HERO
\*-----------------------------------*/

.hero {
  position: relative;
  min-height: 100vh;
  width: 100%;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  display: grid;
  place-content: center;
  margin-top: 75px;
  padding-block-start: calc(var(--section-padding) + 85px);
  z-index: 1;
}
.heroBlog {
  position: relative;
  min-height: 70vh;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  display: grid;
  place-content: center;
  padding-block-start: calc(var(--section-padding) + 85px);
  z-index: 1;
}

.hero-content {
  background-color: var(--black_60);
  color: var(--white);
  text-align: center;
  /*padding: 30px;*/
}

.hero-title .span {
  color: var(--dark-orange);
  font-size: var(--fs-2);
  font-weight: var(--fw-700);
}

.hero-text { margin-block: 20px 15px; }

.btn-outline {
  max-width: max-content;
  margin-inline: auto;
  font-size: var(--fs-9);
  font-weight: var(--fw-500);
  text-transform: uppercase;
  border: 1px solid var(--white);
  padding: 8px 20px;
  transition: var(--transition);
}

.btn-outline:is(:hover, :focus) {
  background-color: var(--dark-orange);
  border-color: var(--dark-orange);
}

.hero-shape {
  position: absolute;
  z-index: -1;
  animation: move 2s ease-in-out infinite alternate;
}

.hero .shape-1 {
  top: 100px;
  left: 30px;
}
.heroBlog .shape-1 {
  top: 100px;
  left: 30px;
}

.hero .shape-2 {
  bottom: 80px;
  right: 30px;
}
.heroBlog .shape-2 {
  bottom: 80px;
  right: 30px;
}


@keyframes move {
  0% { transform: translateY(0); }
  100% { transform: translateY(20px); }
}





/*-----------------------------------*\
  #ABOUT
\*-----------------------------------*/

.about-banner {
  position: relative;
  box-shadow: var(--shadow-2);
  max-width: 300px;
  margin-block-end: 60px;
}

.about .abs-img-2 { display: none; }

.about .abs-img-1 {
  position: absolute;
  bottom: 40px;
  right: 0;
  animation: move 2s ease-in-out infinite alternate;
}

.about :is(.section-title, .section-text) { margin-block-end: 20px; }

.about-list { margin-block-end: 40px; }

.about-item {
  display: flex;
  align-items: flex-start;
  gap: 15px;
}

.about-text { font-size: var(--fs-8); }

.about-icon {
  min-width: max-content;
  color: var(--dark-orange);
  margin-block-start: 8px;
}

.about-item:not(:last-child) { margin-block-end: 10px; }





/*-----------------------------------*\
  #SERVICE
\*-----------------------------------*/

.service { background-color: var(--alice-blue); }

.service :is(.section-subtitle, .section-title, .section-text) { text-align: center; }

.service .section-title { margin-block-end: 20px; }

.service .section-text { margin-block-end: 50px; }

.service-card {
  background-color: var(--white);
  padding: 30px;
  height: 380px;
  border: 7px solid var(--green-blue-crayola);
  transition: var(--transition);
}

/*.service-card:is(:hover, :focus-within) { border-color: var(--dark-orange); }**/

.service-card .card-icon { margin-block-end: 30px; }

.service-card .card-title .span {
  display: inline-block;
  color: var(--dark-orange);
  font-size: var(--fs-3);
  margin-inline-end: 15px;
}

.service-card .card-text { margin-block: 10px 20px; }




/*-----------------------------------*\
  #FEATURE
\*-----------------------------------*/

.feature .title-wrapper { margin-block-end: 30px; }

.feature .section-text { margin-block: 20px 40px; }

.feature-card {
  position: relative;
  padding: 30px;
  text-align: center;
  border: 1px solid var(--alice-blue);
  transition: var(--transition);
  box-shadow: var(--shadow-3);
}

/*.feature-card:is(:hover, :focus-within) { box-shadow: var(--shadow-3); }*/

.feature-card::before {
  content: var(--card-number);
  color: var(--green-blue-crayola);
  font-family: var(--ff-oswald);
  font-size: var(--fs-1);
  font-weight: var(--fw-700);
  line-height: 1;
  transition: var(--transition);
}

/*.feature-card:is(:hover, :focus-within)::before { color: var(--dark-orange); }*/

.feature-card .card-icon {
  background-color: var(--alice-blue);
  width: 170px;
  height: 170px;
  display: grid;
  place-content: center;
  border-radius: 50%;
  margin-inline: auto;
  margin-block-end: 30px;
}

.feature-card .card-text { margin-block: 20px 40px; }

.feature-card .card-btn {
  color: var(--prussian-blue);
  font-size: 24px;
  border: 2px solid var(--prussian-blue);
  max-width: max-content;
  margin-inline: auto;
  padding: 10px 18px;
}





/*-----------------------------------*\
  #PROJECT
\*-----------------------------------*/

.project { background-color: var(--alice-blue); }

.project :is(.section-subtitle, .section-title, .section-text) { text-align: center; }

.project .section-text { margin-block: 20px 50px; }

.project-card { position: relative; }

.project-card .action-btn {
  background-color: var(--dark-orange);
  color: var(--white);
  font-size: 28px;
  padding: 16px;
  position: absolute;
  top: 30px;
  left: 30px;
  opacity: 0;
  transition: var(--transition);
}

.project-card:is(:hover, :focus-within) .action-btn { opacity: 1; }

.project-card .card-tag {
  color: var(--dark-orange);
  font-size: var(--fs-9);
}

.project-card .card-content {
  position: relative;
  background-color: var(--white);
  padding: 20px 30px;
  margin-block-start: -50px;
  margin-inline-start: 30px;
}

.project-card .h3 { font-size: var(--fs-7); }

.project-card .card-title { transition: var(--transition); }

.project-card :is(.card-title, .card-link):is(:hover, :focus) { color: var(--dark-orange); }

.project-card .card-link {
  color: var(--prussian-blue);
  font-size: var(--fs-10);
  font-weight: var(--fw-600);
  text-transform: uppercase;
  margin-block-start: 5px;
  transition: var(--transition);
}

.project-list {
  display: flex;
  overflow-x: auto;
  gap: 20px;
  padding-block-end: 40px;
  scroll-snap-type: inline mandatory;
}

.project-item {
  min-width: 100%;
  scroll-snap-align: start;
}

.project-list::-webkit-scrollbar { height: 15px; }

.project-list::-webkit-scrollbar-track { outline: 2px solid var(--prussian-blue); }

.project-list::-webkit-scrollbar-thumb {
  border: 3px solid var(--cultured-1);
  background-color: var(--prussian-blue);
}

.project-list::-webkit-scrollbar-button { width: calc(25% - 40px); }





/*-----------------------------------*\
  #BLOG
\*-----------------------------------*/
.blog{ background-color: var(--alice-blue); }

.blog :is(.section-subtitle, .section-title, .section-text) { text-align: center; }

.blog .section-text { margin-block: 20px 50px; }

.blog-card .card-content { position: relative; }

.blog-card .card-meta {
  background-color: var(--prussian-blue);
  color: var(--white);
  text-align: center;
  font-size: var(--fs-5);
  font-family: var(--ff-oswald);
  font-weight: var(--fw-600);
  line-height: 1.5;
  max-width: max-content;
  margin-inline: auto 20px;
  margin-block: -80px 20px;
  padding: 20px 25px;
  box-shadow: -8px 8px 0 var(--dark-orange);
}

.blog-card .card-meta .span {
  color: var(--dark-orange);
  font-size: var(--fs-3);
  font-weight: var(--fw-700);
  line-height: 0.75;
}

.blog-card .card-text { margin-block: 15px; }





/*-----------------------------------*\
  #CONTACT
\*-----------------------------------*/
.contact_us_green * {
  font-family: Nunito, sans-serif;
}


.contact_us_green .responsive-container-block {
  min-height: 75px;
  height: fit-content;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  margin-top: 0px;
  margin-right: auto;
  margin-bottom: 60px;
  margin-left: auto;
}

.contact_us_green input:focus {
  outline-color: initial;
  outline-style: none;
  outline-width: initial;
}

.contact_us_green textarea:focus {
  outline-color: var(--green-blue-crayola);
  outline-style: none;
  outline-width: initial;
}

.contact_us_green .text-blk {
  margin-top: 0px;
  margin-right: 0px;
  margin-bottom: 0px;
  margin-left: 0px;
  line-height: 25px;
}

.contact_us_green .responsive-cell-block {
  min-height: 75px;
}

.contact_us_green .responsive-container-block.container {
  max-width: 1320px;
  margin-top: 10px;
  margin-right: auto;
  margin-bottom: 60px;
  margin-left: auto;
}

.contact_us_green .responsive-container-block.big-container {
  padding-top: 0px;
  padding-right: 50px;
  padding-bottom: 0px;
  padding-left: 50px;
}

.contact_us_green .text-blk.contactus-head {
  margin-top: 0px;
  margin-right: 0px;
  margin-bottom: 10px;
  margin-left: 0px;
}

.contact_us_green .text-blk.contactus-subhead {
  max-width: 385px;
  color: #939393;
  font-size: 18px;
  margin-top: 0px;
  margin-right: 0px;
  margin-bottom: 50px;
  margin-left: 0px;
}

.contact_us_green .contact-svg {
  padding-top: 0px;
  padding-right: 25px;
  padding-bottom: 0px;
  padding-left: 0px;
  width: 65px;
  height: 40px;
}

.contact_us_green .social-media-links {
  margin-top: 80px;
  margin-right: auto;
  margin-bottom: 0px;
  margin-left: auto;
  width: 250px;
  display: flex;
  justify-content: space-evenly;
}

.contact_us_green .social-svg {
  width: 35px;
  height: 35px;
}

.contact_us_green .text-box {
  display: flex;
  margin-top: 0px;
  margin-right: 0px;
  margin-bottom: 50px;
  margin-left: 0px;
}

.contact_us_green .contact-text {
  color: #939393;
}

.contact_us_green .input {
  height: 50px;
  width: 90%;
  border-top-width: 2.5px;
  border-right-width: 2.5px;
  border-bottom-width: 2.5px;
  border-left-width: 2.5px;
  border-top-style: solid;
  border-right-style: solid;
  border-bottom-style: solid;
  border-left-style: solid;
  border-top-color: #a2a2a2;
  border-right-color: #a2a2a2;
  border-bottom-color: #a2a2a2;
  border-left-color: #a2a2a2;
  border-image-source: initial;
  border-image-slice: initial;
  border-image-width: initial;
  border-image-outset: initial;
  border-image-repeat: initial;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 5px;
  font-size: 16px;
  padding-top: 5px;
  padding-right: 15px;
  padding-bottom: 5px;
  padding-left: 15px;
}

.contact_us_green .textinput {
  height: 200px;
  width: 95%;
  border-top-width: 2px;
  border-right-width: 2px;
  border-bottom-width: 2px;
  border-left-width: 2px;
  border-top-style: solid;
  border-right-style: solid;
  border-bottom-style: solid;
  border-left-style: solid;
  border-top-color: #a2a2a2;
  border-right-color: #a2a2a2;
  border-bottom-color: #a2a2a2;
  border-left-color: #a2a2a2;
  border-image-source: initial;
  border-image-slice: initial;
  border-image-width: initial;
  border-image-outset: initial;
  border-image-repeat: initial;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 5px;
  font-size: 16px;
  padding-top: 20px;
  padding-right: 30px;
  padding-bottom: 20px;
  padding-left: 20px;
  color: var(--black);
  background-color: var(--green-blue-crayola);
}

.contact_us_green .submit-btn {
  min-width: 290px;
  height: 60px;
  background-color: var(--green-blue-crayola);
  font-size: 18px;
  font-weight: 700;
  color: black;
  border-top-width: 2px;
  border-right-width: 2px;
  border-bottom-width: 2px;
  border-left-width: 2px;
  border-top-style: none;
  border-right-style: none;
  border-bottom-style: none;
  border-left-style: none;
  border-top-color: #767676;
  border-right-color: #767676;
  border-bottom-color: #767676;
  border-left-color: #767676;
  border-image-source: initial;
  border-image-slice: initial;
  border-image-width: initial;
  border-image-outset: initial;
  border-image-repeat: initial;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 5px;
  margin-top: 0px;
  margin-right: auto;
  margin-bottom: 0px;
  margin-left: auto;
  cursor: pointer;
}

.contact_us_green .btn-wrapper {
  display: flex;
  justify-content: center;
}

.contact_us_green .text-blk.input-title {
  font-size: 18px;
  font-weight: 600;
  line-height: 28px;
  margin-top: 0px;
  margin-right: 0px;
  margin-bottom: 15px;
  margin-left: 0px;
}

.contact_us_green .responsive-cell-block.wk-ipadp-6.wk-tab-12.wk-mobile-12.wk-desk-6 {
  margin-top: 0px;
  margin-right: 0px;
  margin-bottom: 30px;
  margin-left: 0px;
}

.contact_us_green .responsive-cell-block.wk-tab-12.wk-mobile-12.wk-desk-5.wk-ipadp-10 {
  padding-top: 0px;
  padding-right: 0px;
  padding-bottom: 0px;
  padding-left: 60px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.contact_us_green .head-text-box {
  display: none;
}

.contact_us_green .line {
  border-right-width: 1.8px;
  border-right-style: solid;
  border-right-color: #a2a2a2;
}

.contact_us_green .responsive-cell-block.wk-tab-12.wk-mobile-12.wk-desk-7.wk-ipadp-10.line {
  padding-top: 0px;
  padding-right: 20px;
  padding-bottom: 0px;
  padding-left: 0px;
}

@media (max-width: 1024px) {
  .contact_us_green .responsive-container-block.container {
    justify-content: center;
  }

  .contact_us_green .text-blk.contactus-subhead {
    max-width: 90%;
  }

  .contact_us_green .head-text-box {
    display: block;
  }

  .contact_us_green .responsive-cell-block.wk-tab-12.wk-mobile-12.wk-desk-7.wk-ipadp-10.line {
    padding-top: 0px;
    padding-right: 20px;
    padding-bottom: 60px;
    padding-left: 0px;
  }

  .contact_us_green .line {
    border-right-width: initial;
    border-right-style: none;
    border-right-color: initial;
    border-bottom-width: 1.8px;
    border-bottom-style: solid;
    border-bottom-color: #a2a2a2;
  }

  .contact_us_green .responsive-cell-block.wk-tab-12.wk-mobile-12.wk-desk-5.wk-ipadp-10 {
    margin-top: 60px;
    margin-right: 0px;
    margin-bottom: 0px;
    margin-left: 0px;
  }

  .contact_us_green .workik-contact-bigbox {
    display: flex;
  }

  .contact_us_green .responsive-cell-block.wk-tab-12.wk-mobile-12.wk-desk-5.wk-ipadp-10 {
    padding-top: 0px;
    padding-right: 0px;
    padding-bottom: 0px;
    padding-left: 0px;
  }
}

@media (max-width: 768px) {
  .contact_us_green .text-content {
    display: none;
  }

  .contact_us_green .input {
    width: 100%;
  }

  .contact_us_green .textinput {
    width: 100%;
  }

  .contact_us_green .text-blk.contactus-head {
    font-size: 30px;
  }
}

@media (max-width: 500px) {
  .contact_us_green .responsive-container-block.big-container {
    padding-top: 0px;
    padding-right: 20px;
    padding-bottom: 0px;
    padding-left: 20px;
  }

  .contact_us_green .workik-contact-bigbox {
    display: block;
  }

  .contact_us_green .text-blk.input-title {
    font-size: 16px;
  }

  .contact_us_green .text-blk.contactus-head {
    font-size: 26px;
  }

  .contact_us_green .text-blk.contactus-subhead {
    font-size: 16px;
    line-height: 23px;
  }

  .contact_us_green .input {
    height: 45px;
  }

  .contact_us_green .responsive-cell-block.wk-ipadp-6.wk-tab-12.wk-mobile-12.wk-desk-6 {
    margin: 0 0 25px 0;
  }
}

/*---------------------------*\
 #RESPONSIVE CONTACT
/*---------------------------*/
@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@200;300;400;600;700;800&amp;display=swap');

*,
*:before,
*:after {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

body {
  margin: 0;
}

.wk-desk-1 {
  width: 8.333333%;
}

.wk-desk-2 {
  width: 16.666667%;
}

.wk-desk-3 {
  width: 25%;
}

.wk-desk-4 {
  width: 33.333333%;
}

.wk-desk-5 {
  width: 41.666667%;
}

.wk-desk-6 {
  width: 50%;
}

.wk-desk-7 {
  width: 58.333333%;
}

.wk-desk-8 {
  width: 66.666667%;
}

.wk-desk-9 {
  width: 75%;
}

.wk-desk-10 {
  width: 83.333333%;
}

.wk-desk-11 {
  width: 91.666667%;
}

.wk-desk-12 {
  width: 100%;
}

@media (max-width: 1024px) {
  .wk-ipadp-1 {
    width: 8.333333%;
  }

  .wk-ipadp-2 {
    width: 16.666667%;
  }

  .wk-ipadp-3 {
    width: 25%;
  }

  .wk-ipadp-4 {
    width: 33.333333%;
  }

  .wk-ipadp-5 {
    width: 41.666667%;
  }

  .wk-ipadp-6 {
    width: 50%;
  }

  .wk-ipadp-7 {
    width: 58.333333%;
  }

  .wk-ipadp-8 {
    width: 66.666667%;
  }

  .wk-ipadp-9 {
    width: 75%;
  }

  .wk-ipadp-10 {
    width: 83.333333%;
  }

  .wk-ipadp-11 {
    width: 91.666667%;
  }

  .wk-ipadp-12 {
    width: 100%;
  }
}

@media (max-width: 768px) {
  .wk-tab-1 {
    width: 8.333333%;
  }

  .wk-tab-2 {
    width: 16.666667%;
  }

  .wk-tab-3 {
    width: 25%;
  }

  .wk-tab-4 {
    width: 33.333333%;
  }

  .wk-tab-5 {
    width: 41.666667%;
  }

  .wk-tab-6 {
    width: 50%;
  }

  .wk-tab-7 {
    width: 58.333333%;
  }

  .wk-tab-8 {
    width: 66.666667%;
  }

  .wk-tab-9 {
    width: 75%;
  }

  .wk-tab-10 {
    width: 83.333333%;
  }

  .wk-tab-11 {
    width: 91.666667%;
  }

  .wk-tab-12 {
    width: 100%;
  }
}

@media (max-width: 500px) {
  .wk-mobile-1 {
    width: 8.333333%;
  }

  .wk-mobile-2 {
    width: 16.666667%;
  }

  .wk-mobile-3 {
    width: 25%;
  }

  .wk-mobile-4 {
    width: 33.333333%;
  }

  .wk-mobile-5 {
    width: 41.666667%;
  }

  .wk-mobile-6 {
    width: 50%;
  }

  .wk-mobile-7 {
    width: 58.333333%;
  }

  .wk-mobile-8 {
    width: 66.666667%;
  }

  .wk-mobile-9 {
    width: 75%;
  }

  .wk-mobile-10 {
    width: 83.333333%;
  }

  .wk-mobile-11 {
    width: 91.666667%;
  }

  .wk-mobile-12 {
    width: 100%;
  }
}

/*-----------------------------------*\
  #FOOTER
\*-----------------------------------*/
/*
.footer {
  background-color: var(--plutinum);
  color: var(--prussian-blue);
}

.footer-top {
  display: grid;
  gap: 40px;
}

.footer .logo {
  color: var(--prussian-blue);
  font-weight: var(--fw-800);
  font-size: 3.2rem;
}

.footer-text { margin-block: 10px 30px; }

.social-list {
  display: flex;
  gap: 10px;
}

.social-link {
  background-color: var(--indigo-dye);
  color: var(--white);
  font-size: 20px;
  padding: 12px;
  transition: var(--transition);
}

.social-link:is(:hover, :focus) { background-color: var(--prussian-blue); }

.footer-list-title {
  font-size: var(--fs-6);
  max-width: max-content;
  padding-block-end: 10px;
  border-block-end: 3px solid var(--dark-orange);
  margin-block-end: 20px;
}

.footer-link { padding-block: 6px; }

.footer-bottom {
  padding-block: 40px;
  border-block-start: 1px solid var(--prussian-blue);
  font-size: var(--fs-9);
  color: var(--indigo-dye);
}

.copyright-link { display: inline-block; }





/*-----------------------------------*\
  #BACK TO TOP
\*-----------------------------------*/

.back-top-btn {
  position: fixed;
  bottom: 10px;
  right: 20px;
  background-color: var(--eerie-black);
  color: var(--white);
  font-size: 20px;
  padding: 10px;
  z-index: 3;
  opacity: 0;
  visibility: hidden;
  transition: var(--transition);
}

.back-top-btn.active {
  opacity: 1;
  visibility: visible;
  transform: translateY(-10px);
}





/*-----------------------------------*\
  #MEDIA QUERISE
\*-----------------------------------*/

/**
 * responsive for larger than 540px screen
 */

@media (min-width: 540px) {

  /**
   * REUSED STYLE
   */

  .btn {
    font-size: var(--fs-7);
    padding-inline: 30px 60px;
    margin-bottom: 5px;
  }



  /**
   * HEADER
   */

  .header-contact {
    color: var(--black);
    display: flex;
    align-items: center;
    gap: 20px;
    text-align: right;
    line-height: 1.2;
    margin-inline-start: auto;
  }

  .header .contact-label {
    text-transform: uppercase;
    font-size: var(--fs-9);
  }

  .header .contact-number {
    font-size: var(--fs-6);
    font-weight: var(--fw-600);
    letter-spacing: 1px;
  }

  .header .contact-icon {
    font-size: 35px;
    opacity: 0.6;
  }



  /**
   * ABOUT
   */

  .about .abs-img-2 {
    display: block;
    position: absolute;
    width: 400px;
    bottom: 0;
    left: 50px;
    z-index: -1;
  }

  .about .abs-img-1 { right: -200px; }

}





/**
 * responsive for larger than 640px screen
 */

@media (min-width: 640px) {

  /**
   * REUSED STYLE
   */

  .h1 { --fs-3: 5rem; }

  .container {
    max-width: 540px;
    width: 100%;
    margin-inline: auto;
  }



  /**
   * HEADER
   */

  .header .container { max-width: unset; }

  .header .logo { font-size: 3.5rem; }



  /**
   * HERO
   */

  .hero { justify-content: flex-start; }
  .heroBlog { justify-content: flex-start; }

  .hero .shape-1 { left: 45px; }
  .heroBlog .shape-1 { left: 45px; }

  .hero-content {
    background-color: transparent;
    text-align: left;
  }

  .hero-title .span { --fs-2: 6rem; }

  .hero-text { max-width: 30ch; }

  .btn-outline { margin-inline: 0; margin-bottom: 23px; }

}





/**
 * responsive for larger than 768px screen
 */

@media (min-width: 768px) {

  /**
   * REUSED STYLE
   */

  .container { max-width: 720px; }

  .h1 { --fs-3: 6rem; }

  .grid-list { grid-template-columns: 1fr 1fr; }



  /**
   * HERO
   */

  .hero-title .span { --fs-2: 7rem; }

  .hero-text {
    font-size: var(--fs-7);
    max-width: 40ch;
    margin-block-end: 40px;
  }

  .btn-outline {
    font-size: var(--fs-7);
    padding: 12px 30px;
  }



  /**
   * FEATURES
   */

  .feature-card::before { --fs-1: 10rem; }



  /**
   * PROJECT
   */

  .project-list { gap: 80px; }

  .project-item { min-width: calc(50% - 40px); }



  /**
   * NEWSLETTER
   */

  .newsletter { margin-block-start: 110px; }

  .newsletter .container { position: relative; }

  .newsletter .newsletter-banner {
    position: absolute;
    bottom: -50px;
    width: 450px;
    left: 0;
    margin-block-end: 30;
  }

  .newsletter-content {
    width: 100%;
    margin-inline-start: auto;
  }

  .newsletter .section-title { --fs-4: 4rem; }

  .newsletter-btn {
    font-size: var(--fs-5);
    padding: 10px 30px;
  }



  /**
   * FOOTER
   */

  .footer-top { grid-template-columns: 1fr 1fr; }

}





/**
 * responsive for larger than 992px screen
 */

@media (min-width: 992px) {

  /**
   * CUSTOM PROPERTY
   */

  :root {

    /**
     * typography
     */

    --fs-4: 4.5rem;

    /**
     * spacing
     */

    --section-padding: 120px;

  }



  /**
   * REUSED STYLE
   */
  
  .container { max-width: 960px; }

  .h1 { --fs-3: 10rem; }

  .section-subtitle { --fs-6: 3rem; }

  .section-text {
    max-width: 70ch;
    margin-inline: auto;
  }

  .grid-list { grid-template-columns: repeat(3, 1fr); }



  /**
   * HEADER
   */
  
  .nav-open-btn,
  .navbar-top,
  .navbar-link > ion-icon { display: none; }

  .navbar,
  .navbar.active { all: unset; }

  .navbar-list {
    display: flex;
    gap: 5px;
  }

  .navbar-item:not(:last-child) { border-block-end: none; }
  
  .navbar-link { color: var(--black); }

  .navbar-link:is(:hover, :focus) { background-color: transparent; }

  .header-contact { margin-inline-start: 0; }



  /**
   * HERO
   */
  
  .hero { grid-template-columns: 1fr; }
  .heroBlog { grid-template-columns: 1fr; }

  .hero-content { padding: 0; }

  .hero-title .span { --fs-2: 12rem; }



  /**
   * ABOUT
   */

  .about .container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    gap: 30px;
  }

  .about-banner { margin-block-end: 0; }

  .about .abs-img-1 { right: -100px; }

  .about :is(.section-title, .section-text) { margin-block-end: 35px; }



  /**
   * FEATURE
   */

  .feature .title-wrapper {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    justify-items: self-end;
  }

  .feature .section-text { margin-block-end: 0; }

  .feature-list { margin-block-start: 120px; }

  .feature-card { padding-block-start: 80px; }

  .feature-card::before {
    --fs-1: 16rem;
    position: absolute;
    top: -90px;
    left: 20px;
  }



  /**
   * PROJECT
   */

  .project-item { min-width: calc(33.33% - 53.33px); }



  /**
   * BLOG
   */

  .blog-list { grid-template-columns: 1fr 1fr; }



  /**
   * NEWSLETTER
   */

  .newsletter { padding-block: 30px; }

  .newsletter .newsletter-banner { bottom: -30px; }

  .newsletter-content {
    max-width: 600px;
    display: grid;
    grid-template-columns: 1fr 1fr;
  }



  /**
   * FOOTER
   */

  .footer-top {
    grid-template-columns: repeat(4, 1fr);
    justify-items: self-end;
  }

  .copyright { text-align: center; }

}





/**
 * responsive for larger than 1200px screen
 */

@media (min-width: 1200px) {

  /**
   * REUSED STYLE
   */

  .container { max-width: 1180px; }

  .h1 { --fs-3: 12rem; }



  /**
   * HEADER
   */

  .header .contact-number { --fs-6: 3rem; }



  /**
   * HERO
   */

  .hero {
    padding-block-start: 150px;
    background-position: left;
  }

  
  .heroBlog {
    padding-block-start: 150px;
    background-position: left;
  }

  .hero-title .span { --fs-2: 14rem; }

  .hero-text { --fs-7: 2.4rem; }



  /**
   * ABOUT
   */

  .about-banner { max-width: 370px; }

  .about .abs-img-2 { width: max-content; }



  /**
   * NEWSLETTER
   */

  .newsletter-content {
    max-width: 840px;
    grid-template-columns: 0.8fr 1fr;
  }



  /**
   * FOOTER
   */

  .footer-top { padding-block: 60px; }

}